Subject: bug#23967: 25.1.50; Slow compilation of ns-win.el

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jul 2016 09:43:42 +0300

> From: [email-masked]
> Cc: [email-masked],  [email-masked]
> Date: Fri, 15 Jul 2016 22:46:12 -0400
> 
> I finished writing the tests.  It does pass with
> http://www.unicode.org/Public/5.2.0/ucd/NormalizationTest.txt as was
> claimed in the ucs-normalize.el file (except that some of the rule 2
> tests fail with that version, but that's only because version 5.2.0 has
> less code points listed in Part 1).
> 
> Here are the patches, first adds the test (I elided the content of
> NormalizationTest.txt to save space), second is the optimization (same
> as before, except I dropped the change from mapc to dolist, because some
> benchmark-runs showed me that mapc is significantly faster when not
> compiled).

Thanks.  Please push this to master, and please also mention
NormalizationTest.txt in admin/notes/unicode, as one more file that
needs to be imported from each new Unicode standard, followed by
running this particular test, to verify compliance.